import pandas as pd #import pandas library 

#define path to partque file and read it
file_path = 'formatted_yellow_taxi_22.parquet'
taxi_data = pd.read_parquet(file_path)

def calculate_and_print_counts(taxi_data):
    # Get all unique IDs from PULocationID and DOLocationID
    unique_pickup_locations = taxi_data['PULocationID'].unique()
    unique_dropoff_locations = taxi_data['DOLocationID'].unique()

    # Calculate unique number of states and actions
    num_states = len(unique_pickup_locations)  # Number of unique pickup locations
    num_actions = len(unique_dropoff_locations)  # Number of unique drop-off locations
 
    # Print the findings
    print(f"Count of unique PULocationID (states): {num_states}")
    print(f"Count of unique DOLocationID (actions): {num_actions}")
    
    return num_states, num_actions

#calculate and print
calculate_and_print_counts(taxi_data)
