import os
import pandas as pd
import pyarrow.parquet as pq

# Set the path to the directory containing the Parquet files
dir_path = 'yellow'

# Get a list of the file names in the directory
file_names = os.listdir(dir_path)

# Create an empty list to hold the data frames
dfs = []

# Loop through each file in the directory and read it into a Pandas DataFrame
for file_name in file_names:
    file_path = os.path.join(dir_path, file_name)
    df = pd.read_parquet(file_path, engine='pyarrow')
    dfs.append(df)

# Merge all the DataFrames into a single DataFrame
merged_df = pd.concat(dfs)

pd.set_option('display.max_columns', None)

# display the cleaned DataFrame
print(merged_df)