import numpy as np
import matplotlib.pyplot as plt


def load_optimal_policy(file_path):
    # Load the optimal policy from the file
    return np.load(file_path)

# Define a function create_bar_chart that takes optimal_policy and num_states as parameters
# This function will be used to create a bar chart to visualize the optimal policy
def create_bar_chart(optimal_policy, num_states):
    plt.figure(figsize=(15, 8))
    plt.bar(range(num_states), optimal_policy, color='green')
    plt.xlabel('States')  # Set the label for the x-axis as States
    plt.ylabel('Optimal Actions')  # Set  label for  y-axis as Optimal Actions
    plt.title('Optimal Policy')  # Set  title of plot as Optimal Policy
    plt.show()

def main():
    file_path = 'optimal_policy_vi_df_0.1.npy'  # Path to saved optimal policy file
    optimal_policy = load_optimal_policy(file_path)

    num_states = len(optimal_policy)  # calculate number of states
    create_bar_chart(optimal_policy, num_states)

if __name__ == "__main__":
    main()